Create payment

Creates a payment on a reservation.

Replaces the deprecated Record or process a reservation payment for processor payments.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

Guesty reservation id

string
required

Guesty payment method id. Recorded payment methods must use the recorded-payment endpoints.

number
required
≥ 1

Amount to charge, in the reservation currency. Must be at least 1. Cannot exceed the reservation balance unless isSecurityDeposit is true.

date-time

When to charge. Must not be in the past. Omit to charge immediately. Format: YYYY-MM-DDTHH:mm:ss.SSSZ.

boolean

When true, creates an authorization hold instead of a charge. Cannot be true together with isSecurityDeposit. Capture a non-deposit hold with POST /payments/{paymentId}/capture.

boolean

When true, creates a security deposit authorization hold. Requires releaseAuthorizationHold, released at releaseAuthorizationHold.shouldTriggerAt. Cannot be true together with isAuthorizationHold.

releaseAuthorizationHold
object

Release schedule for a security deposit. Required when isSecurityDeposit is true.

string
length ≤ 500

Note stored on the payment

Responses

401

Missing or invalid authentication.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json